// 此处定义所有有关 sa-plus 的路由菜单
// 如需添加自定义菜单，请不要更改此文件，请在 menu-list.js 里添加 (没有这个文件就新建)
window.menuList = window.menuList || [];
window.menuList.unshift({
		id: 'bas',
		name: '身份相关',
		isShow: false, // 隐藏显示
		childList: [{
				id: 'dev',
				name: '开发者权限',
				isShow: false
			},
			{
				id: 'in-system',
				name: '后台管理权限',
				isShow: false
			},
		]
	}, {
		id: 'auth',
		name: '基础数据管理',
		icon: 'el-icon-unlock',
		parent: true,

		childList: [{
				id: 'tb-dept-list',
				name: '组织管理',
				url: 'sa-view/tb-dept/tb-dept-list.html',
				childList: [{
						id: 'tb-dept-add',
						name: '添加',
						isShow: false,
					},
					{
						id: 'tb-dept-del',
						name: '删除',
						isShow: false,

					},
					{
						id: 'tb-dept-edit',
						name: '编辑',
						isShow: false,

					},
				]
			},
			{
				id: 'admin-list',
				name: '用户管理',
				url: 'sa-view-sp/sp-admin/admin-list.html',
				info: '所有管理员账号',
				childList: [{
						id: 'sp-admin-add',
						name: '添加',
						isShow: false,
					},
					{
						id: 'sp-admin-del',
						name: '删除',
						isShow: false,

					},
					{
						id: 'sp-admin-edit',
						name: '编辑',
						isShow: false,

					},
				]
			},
			{
				id: 'role-list',
				name: '角色管理',
				url: 'sa-view-sp/sp-role/role-list.html',
				info: '管理系统各种角色',
				childList: [{
						id: 'sp-role-add',
						name: '添加',
						isShow: false,
					},
					{
						id: 'sp-role-del',
						name: '删除',
						isShow: false,

					},
					{
						id: 'sp-role-edit',
						name: '编辑',
						isShow: false,

					},
					{
						id: 'sp-role-permission',
						name: '分配权限',
						isShow: false,

					},
				]
			},
			{
				id: 'menu-list',
				name: '菜单列表',
				url: 'sa-view-sp/sp-role/menu-list.html',
				info: '所有菜单项预览'
			},
			{
				id: 'apilog-list',
				name: '日志管理',
				url: 'sa-view-sp/sp-apilog/api-log-list.html',
				info: '记录本系统所有的api请求'
			},
			{
				id: 'sys-dict-list',
				name: '字典管理',
				url: 'sa-view/sys-dict/sys-dict-list.html',
				childList: [{
						id: 'sys-dict-add',
						name: '添加',
						isShow: false,
					},
					{
						id: 'sys-dict-del',
						name: '删除',
						isShow: false,

					},
					{
						id: 'sys-dict-edit',
						name: '编辑',
						isShow: false,

					},

				]
			},
		]
	}, {
		id: 'console',
		name: '监控中心',
		parent: true,
		icon: 'el-icon-view',
		info: '对本系统的各种监控',
		childList: [{
				id: 'redis-console',
				name: 'Redis控制台',
				url: 'sa-view-sp/sp-console/redis-console.html',
				info: 'redis常用工具'
			},

			{
				id: 'sql-console',
				name: 'SQL 监控台',
				url: 'sa-view-sp/sp-console/sql-console.html',
				info: 'sql控制台'
			},
			{
				id: 'form-generator',
				name: '在线表单构建',
				url: 'https://mrhj.gitee.io/form-generator/#/'
			},
		]
	}, {
		id: 'sp-cfg',
		name: '系统配置',
		parent: true,
		icon: 'el-icon-setting',
		info: '有关系统的一些配置',
		childList: [{
				id: 'sp-cfg-app',
				name: '系统对公配置',
				url: 'sa-view-sp/sp-cfg/app-cfg.html'
			},
			{
				id: 'sp-cfg-server',
				name: '服务器私有配置',
				url: 'sa-view-sp/sp-cfg/server-cfg.html'
			},
		]
	}, {
		id: 'filing-system',
		name: '备案管理子系统',
		parent: true,
		icon: 'el-icon-setting',
		childList: [{
				id: 'tb-filing',
				name: '备案管理',
				parent: true,
				url: 'sa-view/tb-car-black/tb-car-black-list.html',
				childList: [{
						id: 'tb-car-filing-list',
						name: '车辆备案',
						url: 'sa-view/tb-car-filing/tb-car-filing-list.html',
						childList: [{
								id: 'tb-car-filing-add',
								name: '添加',
								isShow: false,
							},
							{
								id: 'tb-car-filing-del',
								name: '删除',
								isShow: false,

							},
							{
								id: 'tb-car-filing-edit',
								name: '编辑',
								isShow: false,

							},
						]
					},
					{
						id: 'tb-person-filing-list',
						name: '人员备案',
						url: 'sa-view/tb-person-filing/tb-person-filing-list.html',
						childList: [{
								id: 'tb-person-filing-add',
								name: '添加',
								isShow: false,
							},
							{
								id: 'tb-person-filing-del',
								name: '删除',
								isShow: false,

							},
							{
								id: 'tb-person-filing-edit',
								name: '编辑',
								isShow: false,

							},
						]
					}
				]
			},
			{
				id: 'tb-black',
				name: '黑名单管理',
				parent: true,
				url: 'sa-view/tb-car-black/tb-car-black-list.html',
				childList: [{
						id: 'tb-car-black-list',
						name: '车辆黑名单',
						url: 'sa-view/tb-car-black/tb-car-black-list.html',
						childList: [{
								id: 'tb-car-black-add',
								name: '添加',
								isShow: false,
							},
							{
								id: 'tb-car-black-del',
								name: '删除',
								isShow: false,

							},
							{
								id: 'tb-car-black-edit',
								name: '编辑',
								isShow: false,

							},
						]
					},
					{
						id: 'tb-person-black-list',
						name: '人员黑名单',
						url: 'sa-view/tb-person-black/tb-person-black-list.html',
						childList: [{
								id: 'tb-person-black-add',
								name: '添加',
								isShow: false,
							},
							{
								id: 'tb-person-black-del',
								name: '删除',
								isShow: false,

							},
							{
								id: 'tb-person-black-edit',
								name: '编辑',
								isShow: false,

							},
						]
					}
				]
			}

		]
	}, {
		id: 'tb-person-visit-record',
		name: '人脸识别子系统',
		icon: 'el-icon-folder-opened',
		parent: true,
		childList: [{
				id: 'tb-person-visit-record-list',
				name: '出入记录',
				url: 'sa-view/tb-person-visit-record/tb-person-visit-record-list.html',
				childList: [{
						id: 'tb-person-visit-record-export',
						name: '导出',
						isShow: false,
					},
					{
						id: 'tb-person-visit-record-edit',
						name: '修改',
						isShow: false,
					},
					{
						id: 'tb-person-visit-record-del',
						name: '删除',
						isShow: false
					}
				]
			},
			{
				id: 'tb-person-visit-temperature-list',
				name: '出入体温检测',
				url: 'sa-view/tb-person-visit-record/tb-person-visit-temperature-list.html'
			},
			{
				id: 'tb-person-visit-record-add',
				name: '手工补录',
				url: 'sa-view/tb-person-visit-record/tb-person-visit-record-add.html'
			},
		]
	}, {
		id: 'tb-car-visit-record',
		name: '车辆识别子系统',
		icon: 'el-icon-folder-opened',
		parent: true,
		childList: [{
			id: 'tb-car-visit-record-list',
			name: '车辆出入记录',
			url: 'sa-view/tb-car-visit-record/tb-car-visit-record-list.html',
			childList: [{
					id: 'tb-car-visit-record-export',
					name: '导出',
					isShow: false,
				},
				{
					id: 'tb-car-visit-record-add',
					name: '新增',
					isShow: false,
				},
				{
					id: 'tb-car-visit-record-edit',
					name: '修改',
					isShow: false,
				},
				{
					id: 'tb-car-visit-record-del',
					name: '删除',
					isShow: false
				}
			]
		}, {
			id: 'tb-car-visit-record-handler',
			name: '手动放行',
			url: 'sa-view/tb-car-visit-record/tb-car-visit-record-handler.html',
		}]
	},

	{
		id: 'tb-terminal-venues',
		name: '设备场所子系统',
		icon: 'el-icon-folder-opened',
		info: '设备管理表数据的维护',
		parent: true,
		childList: [{
				id: 'tb-venues-list',
				name: '场所管理',
				url: 'sa-view/tb-venues/tb-venues-list.html',
				childList: [{
						id: 'tb-venues-add',
						name: '添加',
						isShow: false,
					},
					{
						id: 'tb-venues-del',
						name: '删除',
						isShow: false,

					},
					{
						id: 'tb-venues-edit',
						name: '编辑',
						isShow: false,

					},
				]
			},
			{
				id: 'tb-terminal',
				name: '人脸设备管理',
				icon: 'el-icon-folder-opened',
				parent: true,
				childList: [{
						id: 'tb-terminal-list',
						name: '人脸设备',
						url: 'sa-view/tb-terminal/tb-terminal-list.html',
						childList: [{
								id: 'tb-terminal-clear',
								name: '清除数据',
								isShow: false,

							},
							{
								id: 'tb-terminal-reboot',
								name: '重启',
								isShow: false,

							},
							{
								id: 'tb-terminal-open',
								name: '远程开门',
								isShow: false,

							},
							{
								id: 'tb-terminal-sync-time',
								name: '时钟同步',
								isShow: false,

							},
							{
								id: 'tb-terminal-unbind',
								name: '解绑',
								isShow: false,

							},
							{
								id: 'tb-terminal-edit',
								name: '编辑',
								isShow: false,

							},
							{
								id: 'tb-terminal-del',
								name: '删除',
								isShow: false,

							},
						]
					}, {
						id: 'tb-command-log-list',
						name: '命令日志',
						url: 'sa-view/tb-command-log/tb-command-log-list.html',
						childList: [{
							id: 'tb-command-log-del',
							name: '删除',
							isShow: false,

						}, ]
					},

				]
			},
			{
				id: 'tb-gate-terminal',
				name: '车辆道闸',
				parent: true,
				icon: 'el-icon-folder-opened',
				childList: [{
						id: 'tb-gate-terminal-list',
						name: '道闸设备',
						url: 'sa-view/tb-gate-terminal/tb-gate-terminal-list.html',
						childList: [{
								id: 'tb-gate-terminal-open',
								name: '远程开闸',
								isShow: false,

							},
							{
								id: 'tb-gate-terminal-add',
								name: '添加',
								isShow: false,

							},
							{
								id: 'tb-gate-terminal-del',
								name: '删除',
								isShow: false,

							},
							{
								id: 'tb-gate-terminal-edit',
								name: '修改',
								isShow: false,

							},
						]
					},
					{
						id: 'tb-gate-command-log-list',
						name: '命令日志',
						url: 'sa-view/tb-gate-command-log/tb-gate-command-log-list.html',
						childList: [{
							id: 'tb-gate-command-log-del',
							name: '删除',
							isShow: false,

						}]
					}
				]
			},


		]

	},
	{
		id: 'ep-monitor-system',
		name: '防疫监控子系统',
		icon: 'el-icon-folder-opened',
		parent: true,
		childList: [
			{
				id: 'tb-manager-list',
				name: '防疫人员',
				url: 'sa-view/tb-manager/tb-manager-list.html',
				childList: [
					{
						id: 'tb-manager-add',
						name: '新增',
						isShow: false,

					},
					{
						id: 'tb-manager-edit',
						name: '修改',
						isShow: false,

					},
					{
						id: 'tb-manager-del',
						name: '删除',
						isShow: false,

					},
				]
			},
			{
				id: 'health-code-record-list',
				name: '健康码管理',
				url: 'sa-view/tb-person-visit-record/health-code-record-list.html',
				childList: [
					{
						id: 'health-code-record-edit',
						name: '修改',
						isShow: false,
					},
					{
						id: 'health-code-record-del',
						name: '删除',
						isShow: false
					},
					{
						id: 'health-code-record-add',
						name: '新增',
						isShow: false
					},
					{
						id: 'health-code-record-solve',
						name: '处置',
						isShow: false,
					},
				]
			},
		]
	},
);
